* PACKAGE DSTRT  !" 力学 初期値作成
*
***********************************************************************
      SUBROUTINE STRTV      !" 格子データをスペクトル変換, 再作成
     M         ( GDU   , GDV   , GDW   , GDT   , 
     O           GDTOR , GDPOR ,
     C           FLAPLA, UVFACT,
     C           ARAD  , DRAD                      )
*
#ifdef SYS_IBMS
      INCLUDE   (ZCDIM)
#else
#include        "zcdim.F"
#endif
*
*   [MODIFY] 
      REAL       GDU   ( IDIM*JDIM, KMAX )   !" 西風   Ｕ
      REAL       GDV   ( IDIM*JDIM, KMAX )   !" 南風   Ｖ
      REAL       GDW   ( IDIM*JDIM, KMAX )   !" 鉛直風 Ｗ
      REAL       GDT   ( IDIM*JDIM, KMAX )   !" 温度  Ｔ
*
*   [OUTPUT] 
      REAL       GDTOR ( IDIM*JDIM, KMAX )   !" トロイダル Ψ
      REAL       GDPOR ( IDIM*JDIM, KMAX )   !" ポロイダル Φ
*
*   [INPUT] 
      REAL       FLAPLA( NMDIM  )            !" ラプラシアンの係数
      REAL       UVFACT( IDIM*JDIM )         !" u→U のファクター
      REAL       ARAD   ( KMAX )             !" ｒレベル
      REAL       DRAD   ( KMAX )             !" Δｒ
*
*   [WORK]
      REAL       WDTOR ( NMDIM , KMAX  )  !" トロイダル Ψ
      REAL       WDPOR ( NMDIM , KMAX  )  !" ポロイダル Φ
      REAL       WDT   ( NMDIM , KMAX  )  !" 温度  Ｔ
*
*   [INTERNAL WORK] 
*
*"         < 1. トロイダル，ポロイダルスペクトル  >
*
      CALL G2W
     O         ( WDTOR ,
     I           GDTOR ,
     I           '    ', 'POS ', KMAX )
*
      CALL G2W
     O         ( WDPOR ,
     I           GDPOR ,
     I           '    ', 'POS ', KMAX )
*
*"         < 2. 温度 スペクトル  >
*
      CALL G2W
     O         ( WDT   ,
     I           GDT   ,
     I           '    ', 'POSO', KMAX )
*
*"         < 5. 格子データ再作成 >
*
      CALL GENGD
     O         ( GDU   , GDV   , GDW   , GDT   , 
     O           GDTOR , GDPOR ,
     I           WDTOR , WDPOR , WDT   , 
     C           FLAPLA, UVFACT, 
     C           ARAD  , DRAD                    )
*
       RETURN
       END
